{{define "body"}}
	<h2>Create a new schedule</h2>

{{ if ne .Message "" }}
	<p>Got {{ .Message }}</p>
{{ end }}

	{{ $root := . }}

	<form action="/create/schedule" method="post">
		Name: <input type="text" name="name" /><br />
		Description: <input type="text" name="description" /><br />

		<p>Choose rule(s) to consider:</p>
		<fieldset id="rule">
			{{ range $_, $rule := .RuleList }}
				<input type="checkbox" name="ruleList" id="{{ $rule.UUID }}" value="{{ $rule.UUID }}" /><label for="{{ $rule.UUID }}">{{ $rule.Name }}</label>
			{{ end }}
		</fieldset>

		<p>Choose the rule interpretation mode:</p>
		<fieldset id="ruleMode">
			<input type="radio" value="strict" name="ruleModeGroup" checked="checked" /> Strict (AND between rules)<br />
			<input type="radio" value="permissive" name="ruleModeGroup" /> Permissive (OR between rules)<br />
		</fieldset>

		<p>Choose action(s) to execute:</p>
		<fieldset id="action">
			{{ range $_, $action := .ActionList }}
				<input type="checkbox" name="actionList" id="{{ $action.UUID }}" value="{{ $action.UUID }}" /><label for="{{ $action.UUID }}">{{ $action.Name }}</label>
			{{ end }}
		</fieldset>

		<p>Choose trigger invalidate mode:</p>
		<fieldset id="ruleTriggerInvalidateMode">
			<input type="radio" value="invalidate" name="ruleTriggerInvalidateModeGroup" checked="checked"/> Trigger lock is removed when rules become false<br />
			<input type="radio" value="timer" name="ruleTriggerInvalidateModeGroup" /> Trigger lock is after after a given time<br />
		</fieldset>

		<p>If trigger invalidate mode is timer, choose invalidate delay:</p>
		<input type="number" name="ruleTriggerInvalidateDelayNumber" value="0" />
		<fieldset id="ruleTriggerInvalidateDelay">
			<input type="radio" value="seconds" name="ruleTriggerInvalidateDelayGroup" checked="checked" /> Seconds<br />
			<input type="radio" value="minutes" name="ruleTriggerInvalidateDelayGroup" /> Minutes<br />
			<input type="radio" value="hours" name="ruleTriggerInvalidateDelayGroup" /> Hours<br />
			<input type="radio" value="days" name="ruleTriggerInvalidateDelayGroup" /> Days<br />
			<input type="radio" value="weeks" name="ruleTriggerInvalidateDelayGroup" /> Weeks<br />
		</fieldset>

		<input type="submit" />
	</form>

	<p><a href="/">Back</a></p>
{{end}}
https://freemusicdownloads.world/wp-content/uploads/2017/05/Coldplay-A-Sky-Full-Of-Stars-Official-Video.mp3